var Mustelma = function(){
	PartBase.call(this);


	this.setEdgeDetection();
	this.setBloom(0.9);
	

	this.texture = TDEMO.TEXTURES.getTextures().paatos_cube;

	var material_cube = new THREE.MeshBasicMaterial({
		map: this.texture
	});

	var geometry = new THREE.PlaneBufferGeometry(1024, 1024);
	this.plane = new THREE.Mesh(geometry, material_cube);
	this.plane.position.z = -100;
	this.scene.add(this.plane);

}

Mustelma.prototype = PartBase.prototype.inheritance();

Mustelma.prototype.animate = function(elapsedTime, delta){
	PartBase.prototype.animate.call(this, elapsedTime, delta, true);


	var hb = TDEMO.SYNC.getHeartBeat();
	var offset = TDEMO.SYNC.getObjPosition();
    this.texture.offset.x = offset.x;
    this.texture.offset.y = offset.y;
    this.texture.needsUpdate = true;
}